Send OTP (AePS Fingpay KYC)

Send OTP on agent's mobile number for verification

📘

The OTP is sent from the bank itself.

❗️

You need to encrypt the value of the aadhar number

Aadhaar Encryption -

  1. Decode public key using base64 encoding technique. (public key for UAT and production are different)
  2. Compute RSA encrypted signature using decoded key and message.
  3. Encode encrypted signature with base64 encoding to send message on API.

Public Key for Aadhaar Encryption - (UAT)

MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCaFyrzeDhMaFLx+LZUNOOO14Pj9aPfr+1WOanDgDHxo9NekENYcWUftM9Y17ul2pXr3bqw0GCh4uxNoTQ5cTH4buI42LI8ibMaf7Kppq9MzdzI9/7pOffgdSn+P8J64CJAk3VrVswVgfy8lABt7fL8R6XReI9x8ewwKHhCRTwBgQIDAQAB

public static String calculateRSA( String salt ) throws InvalidKeyException, Exception {

Cipher encryptCipher = Cipher.getInstance("RSA");
encryptCipher.init(Cipher.ENCRYPT_MODE, getPublicKey());
byte[] secretMessageBytes = salt.getBytes("UTF-8");
byte[] encryptedMessageBytes = encryptCipher.doFinal(secretMessageBytes);
String encodedMessage = Base64.encodeBase64String(encryptedMessageBytes);
return encodedMessage;
}
public static PublicKey getPublicKey() throws Exception {
String rawPublicKey = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCXa63O/UXt5S0Vi8DM/PWF4yugx2OcTVbcFPLfXmLm9ClEVJcRuBr7UDHjJ6gZgG/qcVez5r6AfsYl2PtKmYP3mQdbR/BjVOjnrRooXxwyio6DFk4hTTM8fqQGWWNm6XN5XsPK5+qD5Ic/L0vGrS5nMWDwjRt59gzgNMNMpjheBQIDAQAB";
byte[] keyBytes = Base64.decodeBase64(rawPublicKey);
X509EncodedKeySpec spec = new X509EncodedKeySpec(keyBytes);
KeyFactory kf = KeyFactory.getInstance("RSA");
return kf.generatePublic(spec);// generatePrivate(spec);
}

E-KYC Steps:

  1. For Fingpay AePS, it is mandatory to use e-KYC OTP request, e-KYC OTP Verification and Biometric before AePS transaction. Please make sure you use these APIs consecutively.
  2. The whole process of e-KYC is to be done for every merchant just once.
  3. Daily authentication i.e. 2FA is mandatory and to be done everyday.
Body Params
string
required

Your registered mobile number (See Platform Credentials for UAT)

string
required

8 Digit code of registered user (Partner’s merchant) received in the response of user onboarding

string
required

Registered mobile number of the agent

string
required

Merchant's encrypted Aadhaar number

string
required

Agent's location (latitude,longitude). This is crucial for security & fraud prevention

Headers
string
required

Your static API key (See Guide)

string
required

Your dynamically generated security key, unique for every request (See Guide)

string
required

The current timestamp used to generate secret-key

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json